Package org.apache.tools.ant.taskdefs.optional.depend.constantpool

# Enum Class MethodHandleCPInfo.ReferenceKind

java.lang.Object
java.lang.Enum<MethodHandleCPInfo.ReferenceKind>
org.apache.tools.ant.taskdefs.optional.depend.constantpool.MethodHandleCPInfo.ReferenceKind

All Implemented Interfaces:
  `Serializable`, `Comparable<MethodHandleCPInfo.ReferenceKind>`, `Constable`

Enclosing class:
  `MethodHandleCPInfo`

public static enum MethodHandleCPInfo.ReferenceKind extends Enum<MethodHandleCPInfo.ReferenceKind>

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`REF_getField`
`REF_getStatic`
`REF_invokeInterface`
`REF_invokeSpecial`
`REF_invokeStatic`
`REF_invokeVirtual`
`REF_newInvokeSpecial`
`REF_putField`
`REF_putStatic`

## Method Summary

Modifier and Type
Method
Description
`int`
`value()`
`static MethodHandleCPInfo.ReferenceKind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MethodHandleCPInfo.ReferenceKind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### REF_getField

public static final MethodHandleCPInfo.ReferenceKind REF_getField

### REF_getStatic

public static final MethodHandleCPInfo.ReferenceKind REF_getStatic

### REF_putField

public static final MethodHandleCPInfo.ReferenceKind REF_putField

### REF_putStatic

public static final MethodHandleCPInfo.ReferenceKind REF_putStatic

### REF_invokeVirtual

public static final MethodHandleCPInfo.ReferenceKind REF_invokeVirtual

### REF_invokeStatic

public static final MethodHandleCPInfo.ReferenceKind REF_invokeStatic

### REF_invokeSpecial

public static final MethodHandleCPInfo.ReferenceKind REF_invokeSpecial

### REF_newInvokeSpecial

public static final MethodHandleCPInfo.ReferenceKind REF_newInvokeSpecial

### REF_invokeInterface

public static final MethodHandleCPInfo.ReferenceKind REF_invokeInterface

## Method Details

### values

public static MethodHandleCPInfo.ReferenceKind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MethodHandleCPInfo.ReferenceKind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public int value()